QCAT - Task #774
User Story # 773 (Closed): django compressor

Install django-compressor
26 Jan 2016 09:57 - Sebastian Manger

Status: Closed Start date: 26 Jan 2016
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: QCAT v0.9 - Second Beta Spent time: 0.00 hour
Resolution:

Description

Acceptance criteria

e django-compressor is installed.

e static files can be written to a shared block in the header or footer of the base template.

¢ All of the following must happen only for the productive environment:

e static assets are compressed and minified

¢ static asset files are created with a unique filename, so the assets can be cached without expiry date on the client side.

e html output is minified

History

#1 - 26 Jan 2016 10:01 - Sebastian Manger

- Tracker changed from Feature to Task

#2 - 26 Jan 2016 15:00 - Sebastian Manger

- Status changed from New to Resolved

#3 - 26 Jan 2016 15:01 - Sebastian Manger
- Target version set to QCAT v0.9 - Second Beta

#4 - 07 Apr 2016 10:32 - Kurt Gerber

- Status changed from Resolved to Closed
